/********************************************************************
 *  Nomes: Gabriel Capella                       Números USP: 8962078 
 *         João Herique Luciano                               8535957
 * 
 *  Tarefa:    RedCore - EP2 MAC0463
 *  Arquivo:   BeginScene.h
 *  Descrição: Classe para tela inicial do jogo.
 ********************************************************************/

#ifndef __BEGIN_SCENE_H__
#define __BEGIN_SCENE_H__

#include "cocos2d.h"

class BeginScene: public cocos2d::Layer {
    public:
    	/**
    	 * Inicia tela do jogo.
    	 * @return um Scene. Veja mais na documentação do cocos2d-x.
    	 */
        static cocos2d::Scene* createScene();

        /**
         * Sobreesvreve o método padrão da classe. Serve para
         * inicializar a cena.
         * @return se conseguiu ou não iniciar
         */
        virtual bool init();

        /**
         * Inicia o jogo jogável. Vai para GameScene.
         */
        void Play();

        /**
         * É um macro do cocos2d-x que define a função create do
         * do classe.
         * 
         * @param Classe para qual vai criar.
         */
        CREATE_FUNC(BeginScene);
    private:
    	/**
    	 * Armazena qual o nível atual do jogador. Variável usada
    	 * para fazer regressão de nível.
    	 */
        int level_game;
};

#endif // __BEGIN_SCENE_H__
